Subject: Re: [bmwg] WGLC on SIP Benchmarking Drafts (04)

From: Al Morton <[email-masked]>
Date: Mon, 10 Dec 2012 12:54:51 -0500

BMWG:

This is the last day to review the SIP drafts under WGLC.

As part of document shepherd review, I noted the following
gripes-worth-fixing from the nit-checker routine,
(no offense to the nits-checker)

These comments are for -term-06

   == No 'Intended status' indicated for this document; assuming Proposed
      Standard
(need to add Informational, like all BMWG's drafts and RFCs. MUST fix.)

   == Outdated reference: draft-ietf-soc-overload-design has been published as
      RFC 6357

   == Outdated reference: A later version (-11) exists of
      draft-ietf-soc-overload-control-10

Also, in section 2.1, one of the bullets says:
...This is because our goal is to determine the
maximum throughput of the device or system under test, that is the
number of simultaneous SIP sessions that the device or system can
support.

I suggest s/throughput/capacity/ because we already have a
special definition of "throughput" in BMWG, and capacity
(or some other term you choose, is a better metric for size here.

Last full sentence before section 3.2:

  The EA must make that  count available for viewing ad recording.
s/ad/and/

Section 3.2.3: typo
... service.he SIP-Aware Stateful Firewall
s/.he/. The/

-meth comments to follow,
Al

At 05:12 PM 11/11/2012, Al Morton wrote:

>Re-sending to Dale's new address.
>
>At 08:45 AM 11/11/2012, Al Morton wrote:
>
>>TO: BMWG,
>>CC: RAI Dir Reviewer Dale Worley, sipcore wg,
>>
>>A WG Last Call period for the Internet-Drafts on SIP Device
>>Benchmarking:
>>
>>   http://datatracker.ietf.org/doc/draft-ietf-bmwg-sip-bench-term/
>>   http://datatracker.ietf.org/doc/draft-ietf-bmwg-sip-bench-meth/
>>
>>will be open from 11 Nov 2012 through 10 Dec 2012.
>>
>>These drafts are continuing the BMWG Last Call Process. See
>>http://www1.ietf.org/mail-archive/web/bmwg/current/msg00846.html
>>The first WGLC was completed on 5 April 2010 with comments.
>>The second WGLC was completed on 18 May 2012 with comments.
>>
>>Please read and express your opinion on whether or not these
>>Internet-Drafts should be forwarded to the Area Directors for
>>publication as Informational RFCs.  Send your comments
>>to this list or [email-masked]
>>
>>Al
>>bmwg chair
>>_______________________________________________
>>bmwg mailing list
>>[email-masked]
>>https://www.ietf.org/mailman/listinfo/bmwg
>
>_______________________________________________
>bmwg mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/bmwg

---

From: Al Morton <[email-masked]>
Date: Mon, 10 Dec 2012 13:25:40 -0500

shepherd's review of -meth-06:

Add Intended Status: Informational  in the draft header.  MUST fix.

Section 5.1, Note 3:  It seems that you may have intended a more
report-like formatting for the last two lines:
...
    The Test Organization interested in knowing how many times
    the EA was intended to send a REGISTER as distinct from how many
    times the EA wound up actually sending a REGISTER may wish to record
    the following data as well: Number of responses of the following
    type: 401: _____________ (if authentication turned on; N/A otherwise)
    407: _____________ (if authentication turned on; N/A otherwise)

maybe
    the following data as well: Number of responses of the following
    type:
    401: _____________ (if authentication turned on; N/A otherwise)
    407: _____________ (if authentication turned on; N/A otherwise)